#
# Conditional build:
%bcond_with	tests	# unit tests

%define		module	hatchling
Summary:	Modern, extensible Python build backend
Summary(pl.UTF-8):	Nowoczesny, rozszerzalny backend budowania pakietów dla Pythona
Name:		python3-%{module}
Version:	1.27.0
Release:	7
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/hatchling/%{module}-%{version}.tar.gz
# Source0-md5:	6ffb3087c9b6a9ffbfc1bb394f7ed1a8
Patch0:		no-names-normalization.patch
URL:		https://pypi.org/project/hatchling/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-packaging >= 24.2
BuildRequires:	python3-pathspec >= 0.10.1
BuildRequires:	python3-pluggy >= 1.0.0
%if "%{_ver_lt %{py3_ver} 3.11}" == "1"
BuildRequires:	python3-tomli >= 1.2.2
%endif
BuildRequires:	python3-trove_classifiers
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-requests
BuildRequires:	python3-tomli
BuildRequires:	python3-virtualenv >= 20.13.1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the extensible, standards compliant build backend used by
Hatch (<https://github.com/pypa/hatch>).

%description -l pl.UTF-8
Ten pakiet to rozszerzalny, zgodny ze standardami backend budowania
pakietów Pythona, wykorzystywany przez Hatch
(<https://github.com/pypa/hatch>).

%prep
%setup -q -n %{module}-%{version}
%patch -P0 -p1

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md
%attr(755,root,root) %{_bindir}/hatchling
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Thu Jun 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hatchling.git;a=log;h=master

* Thu Jun 19 2025 Jan Palus <atler@pld-linux.org> f6e8dec
- avoid name normalization except for package name; rel 7

* Sat May 24 2025 Jakub Bogusz <qboosh@pld-linux.org> bf501dc
- release 6

* Sat May 24 2025 Jakub Bogusz <qboosh@pld-linux.org> fe0e7a9
- descriptions

* Sat May 24 2025 Jakub Bogusz <qboosh@pld-linux.org> 4b27117
- updated dependencies

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> bedc143
- rel 5, there are no tests here

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9a4fae3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9fc8ab3
- rel 3

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 20f8e96
- BR python3-pluggy

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5c8b265
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dfe2d2
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 169a206
- Up to 1.27.0

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 2547d46
- More BR

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 284d74b
- Initial

